\documentclass[graybox]{svmult}
% \documentclass[runningheads]{llncs}


\input{usages}
\input{notation}
\input{entail-rules}

%\makeindex             % used for the subject index
                       % please use the style svind.ist with
                       % your makeindex program


\begin{document}

\title{Automated Verification with HIP/SLEEK and Second-Order Abductive Inference}


\author{
  Wei-Ngan Chin
  \and Andreea Costea
  \and Quang Loc Le
  \and Ton Chanh Le
  \and Benedict Lee
  \and Thanh-Toan Nguyen
  \and Quang-Trung Ta
}

\institute{
  Wei-Ngan Chin \at School of Computing, National University of Singapore
  \and
  Andreea Costea \at School of Computing, National University of Singapore
  \and
  Quang Loc Le \at Department of Computer Science and Information Systems,
  Teesside University
  \and
  Ton Chanh Le \at  Stevens Institute of Technology
  \and
  Benedict Lee \at School of Computing, National University of Singapore
  \and
  Thanh-Toan Nguyen \at School of Computing, National University of
  Singapore
  \and
  Quang-Trung Ta \at School of Computing, National University of
  Singapore
}

\maketitle

\abstract{
  There are several important factors to consider for
  automated program verification systems, including
  modularity, precision, expressivity and automation.
  The HIP/SLEEK verification system was designed with
  a bunch of these factors in mind. We were inspired
  by a new logic (at that time), known as separation logic,
  which forms the core of our specification logic.
  From the beginning, we value program proving as much as
  program analysis; and would focus first on the development
  of expressive specification and automated verification,
  before program analyses are subsequently considered in
  an orthogonal fashion. This approach allows us to experiment
  with specification and proving, before using them
  to further guide the inference process. We have
  also integrated both proving and inference within
  the same entailment system with the help of
  second-order biabductive reasoning. While this
  approach takes longer to develop, we believe
  it is a more principled and systematic way to
  develop automated program verification systems.
}

\section{Introduction}
\label{sec:intro}
\input{intro}

\section{HIP -- Verification System}
\label{sec:verification}
\todo{Andreea}
\input{verification}

\section{SLEEK -- Entailment Checking}
\todo{Toan + Trung}
\label{sec:entailment}
\input{entailment}

\section{Specification Inference}
\label{sec:shape}
\todo{Loc}
\input{shape}

\section{Termination and Non-Termination Reasoning}
\label{sec:termination}
\todo{Chanh}
\input{termination}

\section{Implementation and Experiments}
\label{sec:implementation}
\todo{Benedict}
\input{implementation}

\section{Related Work}
\todo{Trung}
\label{sec:related}
\input{related}

\section{Conclusion}
\label{sec:conclusion}
\input{conclusions}

\bibliography{refs}
 \bibliographystyle{plain}
\end{document}
